Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.oort
Class Oort.RootOortClientListener

    java.lang.Object
      org.cometd.oort.Oort.RootOortClientListener

All Implemented Interfaces:
  java.util.EventListener, org.cometd.ClientListener, org.cometd.MessageListener, org.cometd.RemoveListener

Enclosing class:
  Oort

    protected class Oort.RootOortClientListener

extends java.lang.Object
implements org.cometd.RemoveListener, org.cometd.MessageListener

MessageListener that handles publishes to /oort/cloud

Nested Class Summary

Nested classes/interfaces inherited from interface org.cometd.MessageListener
`org.cometd.MessageListener.Asynchronous, org.cometd.MessageListener.Synchronous`

Constructor Summary
`protected` | `Oort.RootOortClientListener()`

Method Summary
`void` | `deliver(org.cometd.Client fromClient, org.cometd.Client toClient, org.cometd.Message msg)`
`void` | `removed(java.lang.String clientId, boolean timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Oort.RootOortClientListener

    protected Oort.RootOortClientListener()

Method Detail

### removed

    public void removed(java.lang.String clientId,
                        boolean timeout)

  Specified by:
    `removed` in interface `org.cometd.RemoveListener`

### deliver

    public void deliver(org.cometd.Client fromClient,
                        org.cometd.Client toClient,
                        org.cometd.Message msg)

  Specified by:
    `deliver` in interface `org.cometd.MessageListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.